phpMyAdmin - ChangeLog
======================

5.2.3 (2025-10-07)
- issue #19548 Fix missing tooltip in status monitor log table
- issue #19619 Fix horizontal scrollbar in server status pages
- issue #17141 Fix table comment readability on original theme
- issue #19138 Adjusted the chart size in System Monitor
- issue #19351 Fixed paging with approximate number of rows
- issue #18170 Fixed `window.makeGrid is not a function` partially
- issue #17535 Fixed "Delete" button not asking for confirmation when deleting a row
- issue        Fixed not needed table names conversion to htmlentities when renaming a table
- issue #18922 Remove the `maxlength` for routines names
- issue #19641 Allow optional precision parameter for `NOW()`
- issue        Added size support for the CSV table type
- issue #18903 Fix error 500 when simulating a `SET` statement
- issue #19404 Fixed PHP 8.4 deprecations in `thecodingmachine/safe`
- issue #19133 Updated documentation about Y2K38 as is fixed in MariaDB 11.5
- issue #19685 Prevent "ol.css" being added multiple times
- issue        Fixed some bugs in relations tab with foreign keys having special names
- issue #19715 Fix sorting with URL encryption enabled in results display
- issue        Fix duplicate Set-Cookie
- issue        Improved GIS visualization to work with huge tables
- issue        Fix horizontal scrollbar in server status pages
- issue #19653 Fix body padding automatically using a MutationObserver
- issue        Fix criteria form visibility toggle in a multi-table query
- issue #18807 Fixed range search on the search page
- issue #19744 Fixed checking that curl is enabled
- issue #19757 Fix move column with foreign key
- issue #16869 Fix query time not showing for `SELECT COUNT(*)` queries
- issue #19775 Fix copy to clipboard
- issue #19073 Fix both replicated and not replicated icons are shown
- issue #19772 Fix progress value in process list for multi-stage query
- issue        Fixed some PHP 8.4 and PHP 8.5 deprecations
- issue #17329 Improve the handling of "The quota has been exceeded" when pasting multi megabytes queries
- issue        Improve the detection of PHP GD2
- issue #19625 Fix special characters support in move columns
- issue #19643 Fix upload progress showing a SyntaxError
- issue #19593 Fix upload progress showing a SyntaxError
- issue #19504 Fix Advisor rules are throwing some errors with `--skip-innodb`
- issue #19760 Fixed `Variable 'lc_messages' can't be set to the value of 'fr_FR'` on misconfigured database servers
- issue #19371 Fixed tablename doesn't match with csv filename when importing it
- issue        Fix `$http_response_header` deprecation for PHP 8.5
- issue #19701 Add "symfony/polyfill-iconv" in case users do not have PHP "iconv" extension installed
- issue #18066 Fixed "uncaught ReferenceError: u2f is not defined" on browsers that removed support for it
- issue #19822 Fix incorrect usage/placement of 'SQL_NO_CACHE'
- issue        Add support for "bacon-qr-code" v3
- issue #19850 Fix undefined array key 4 in PDF structure export
- issue #19859 Fix deprecated null array offset
- issue #18437 Fix SQL editor's alignment in rtl
- issue #18472 Fix responsive table edit-box in rtl mode
- issue #19109 Do not enforce character encoding when checking roles
- issue #19611 Restore text operators order (`LIKE %...%` vs `LIKE` before)

5.2.2 (2025-01-21)
- issue        [security] Fix for a path disclosure leak in the Monitoring tab
- issue        Prevent the user from deleting system databases
- issue        [security] Fix an XSS vulnerability when checking tables (PMASA-2025-1)
- issue        [security] Fix an XSS vulnerability on the Insert tab (PMASA-2025-2)
- issue        [security] Fix a possible glibc/iconv vulnerability (CVE-2024-2961, assigned PMASA-2025-3 but please note that phpMyAdmin is not vulnerable by default)
- issue        Fix for sql-parser relating to quadratic complexity in certain queries, which could have caused long execution times.
- issue #17851 Fix total count of rows in not accurate
- issue #17766 Allow to open in a new tab copy and edit row actions
- issue #17599 Fix error when handling an user that is not in privileges table
- issue #17364 Fix error when trying to import a status monitor chart arrangement
- issue #18106 Fix renaming database with a view
- issue #18120 Fix bug with numerical tables during renaming database
- issue #16851 Fix ($cfg['Order']) default column order doesn't have have any effect since phpMyAdmin 4.2.0
- issue #18138 Fix some issues with numerical table names
- issue #18112 Fix open base dir warning on git version class
- issue #18211 Fix the themes route missing the server ID
- issue        Do not show "Original length undefined" on binary hex columns
- issue        Fix wrong time zone when handling Git information
- issue #18195 Fix warning on non-existent table for XML export
- issue #18196 Fix errors of import notification
- issue #18093 Fix JS errors around "new user account" in some edge cases
- issue #16451 Increase password characters limit to 2000 during login
- issue #18177 Fix "IS NULL" is shown for non-nullable columns on search page
- issue #16199 Fix dragging of tables in designer
- issue #18268 Fix UI issue the theme manager is disabled
- issue #18258 Speed improvements when exporting a database
- issue #17702 Fix performance issue when handling large number of tables in a single database
- issue #18324 Fix UI defect on tracking versions table first column
- issue #18266 Fix disabling features (like `$cfg['Servers'][$i]['tracking'] = false;`) did not work
- issue #18296 Fixed query time measurement - measure time only for user queries
- issue #18235 Fix columns are misaligned for the "sys" database
- issue #18249 Speed improvements when browsing a database with multiple tables
- issue #18060 Fix Console height "Not a non-negative number" error
- issue #18188 Fix issue when editing GIS data
- issue        Fix width/height of create routines modal and width of routines/triggers/events modals
- issue        Stop pmadb database detection when all features are disabled
- issue        Upgrade slim/psr7 to 1.4.1 for CVE-2023-30536 - GHSA-q2qj-628g-vhfw
- issue #17654 Fix unprivileged user cannot change password on MySQL >= 5.7.37
- issue #18385 Add CVE MITRE link to allowed domains and use cve.org
- issue #18330 Fix TypeError when no-datetime field is modified
- issue #18212 Fix Query Builder doesn't replace a table name with it's alias in the `WHERE` block
- issue #18221 Keep the criteria box collapsed by the user when un-checking the criteria checkbox
- issue #18363 Fix colspan for actions column on database table list
- issue        Fix double encoding on User Groups pages
- issue        Fix list of users of an user group not showing up
- issue        Fix duplicate query params in the SQL message card
- issue #18314 Fix dragged row in index form
- issue #17392 Fix the actions not being hidden in the Triggers, Routines, Events pages
- issue #18441 Fix execute routine page not working when not in a modal
- issue #18471 Fix SQL statement not being displayed correctly on RTL languages
- issue        Fix state times not getting summed in the profiling table
- issue        Fix a case where a fatal error message was not displayed
- issue #17420 Fix profiling chart not loading when profiling is activated
- issue #18159 Fix error when changing the number of chart columns in the monitor page
- issue #18403 Fix Uncaught SyntaxError: JSON.parse on makegrid conditions
- issue #17528 Fix double escaping of database group names in the navigation tree
- issue #18473 Fix the NULL not applied after clearing nullable field
- issue #18454 Fix date field calendar display when changing NULL state
- issue #18481 Fix missing pagination when using SELECT DISTINCT
- issue #18325 Allow hex representations for integers in the search box validation
- issue #14411 Fixed double tap to edit on mobile devices
- issue        Update documentation to reflect that Node >= 12 is required to compile the JS and CSS files
- issue #18578 Fixed PDF export NULL values gives a type error
- issue #18605 Fixed issue when executing a stored procedure
- issue #18650 Fixed double escaping on foreign key relation link title
- issue #18533 Fixed wrong count for simulated queries
- issue #18611 Fixed an error when searching a table without conditions
- issue #18663 Fixed case where triggers are dropped when moving a table
- issue #17404 Fixed an error message after dropping a database
- issue #18714 Fixed incorrect formatting of the amount of table rows
- issue #18717 Fixed issue when deleting bookmarks
- issue #18713 Fixed some issues with the GIS editor
- issue #18722 Fixed generic error message in the home page
- issue #18693 Fixed enum/set value escaping
- issue #18769 Improved collations support for MariaDB 10.10
- issue #17381 Fixed JS errors when editing indexes on create table
- issue #14402 Fix the PRIMARY label still shown when using two columns for a PK on create table
- issue #17347 Fixed JS errors when changing index settings on create table
- issue #18762 Fixed truncating tables when a VIEW is included
- issue        Fix BETWEEN search does not validate input because of spaces
- issue        Fix JS number validation does not validate when the input is empty or emptied
- issue #18561 Fix issue when adding System Monitor charts
- issue #17363 Fix duplicate route parameter after logging in
- issue #15670 Fix case where the data is truncated after changing a longtext column's collation
- issue #18797 Fixed support for ampersand as a arg separator
- issue #18834 Fixed case where column hash is empty in table relation page
- issue #17538 Fixed error when renaming an index
- issue #18865 Fix missing text-nowrap for timestamps columns
- issue #18613 Fixed routine editor showing wrong parameter type
- issue #18890 Fixed wrong row count when query has UNION
- issue #18949 Fixed natural sorting for items in the navigation section
- issue #18930 Fixed import of empty tables from MediaWiki
- issue #18940 Fixed issue when creating an unique key
- issue #19022 Fix case where tables from wrong database is loaded in navigation tree
- issue #18782 Fixed issue with role based auth for MySQL 8
- issue #18593 Fix drop db line included in server export if exporting only data
- issue #18049 Also check that curl_exec is enabled for the new version check
- issue #19023 Fixed table size for ROCKSDB engine showing as unknown
- issue #18451 Fix when editing inline central column, Null is always preselected
- issue #18495 Fixed database export missing routines
- issue #19117 Allow changing the virtuality of a column without any other changes
- issue #18566 Fixed error when importing exported view with USE INDEX hint
- issue #17920 Fixed moving column with empty default value will replace it with ''
- issue #18006 Fixed moving columns causes the default uuid() value to get quotes around it
- issue #18962 Fixed move columns with ENUM() & DEFAULT causes invalid SQL
- issue #18276 Fix on update CURRENT_TIMESTAMP doesn't show as default in attributes
- issue #18240 Fix inserting value with UNIX_TIMESTAMP() without a parameter
- issue #19125 Fixed CodeMirror tooltip is below modals
- issue #18674 Fix formatted sql in browse table result has a linebreak after each token
- issue #18210 Fixed add replica replication user on MariaDB doesn't work (SQL syntax)
- issue #19041 Fix footer.twig gets printed to Binary File Download
- issue #19091 Fix to stop processing queries on error
- issue #18241 Fix copy SQL query button on error messages
- issue #17190 Fix an error with SELECT ... FOR UPDATE queries
- issue #19145 Remove duplicate server and lang parameters from links
- issue #19158 Fix an issue with backticks on the query generator
- issue #19174 Fix an issue with column alias with asterisk on the query generator
- issue #19146 Fix column sorting with limit subquery
- issue #19152 Fix the number of lines being ignored in GIS visualization after a search
- issue #19189 Fix issue with column sorting when using 'group by'
- issue #19188 Fix issue with simulated queries reporting syntax errors
- issue #19141 Add cookie prefix '-__Secure-' to cookies to help prevent cookie smuggling
- issue #19218 Fix textarea horizontal resizing with Bootstap theme
- issue #19199 Add support for fractional seconds to current_timestamp()
- issue #19221 Fix query statistics for queries with count(*)
- issue #19203 Fix single quotes and backslashes for the query generator
- issue #19163 Fix queries with IS NULL or IS NOT NULL for the query generator
- issue #19181 Fix query generator support for IN() and NOT IN()
- issue #19167 Fix criteria on column '*' for the query generator
- issue #19213 Fix possible issue when exporting a large data set
- issue #19217 Fix issue when editing a cell of a JSON column
- issue #19244 Add yarn 1.22 to the package.json's packageManager field
- issue #19185 Fix visual issue when a row has only empty cells
- issue #19257 Fix issue when adding an index with an invalid name
- issue #19276 Fix compatibility with Twig 3.12
- issue #19283 Fix issue when the server starts with skip-innodb option
- issue #19299 Fix charset in procedure's parameter type
- issue #19316 Fix input size for hexadecimal values
- issue #19321 Suppress deprecation message of E_STRICT constant
- issue        Fix PHP 8.4 `str_getcsv` `$escape` parameter deprecation
- issue #19426 Fix PHP warnings when the column is a `COMPRESSED BLOB`
- issue        Allow opening server breadcrumb links in new tab with Ctrl/Meta key
- issue #19500 Use `KILL` instead of `CALL mysql.rds_kill` for non super users
- issue        Fix "copy to clipboard" was adding a blank row for each repeating header row
- issue        Fix TCPDF translations
- issue        Remove underline for links on Bootstrap theme
- issue        Fix sql editor height on multi-table query
- issue #18852 Fix notification color scheme on the Bootstrap dark theme
- issue #14542 Show the query even if no results are found in the Table search
- issue #16936 Fixed import (e.g. ods) doesn't respect database default collation
- issue #19000 Disable autocomplete for the create table/db name inputs

5.2.1 (2023-02-07)
- issue #17522 Fix case where the routes cache file is invalid
- issue #17506 Fix error when configuring 2FA without XMLWriter or Imagick
- issue        Fix blank page when some error occurs
- issue #17519 Fix Export pages not working in certain conditions
- issue #17496 Fix error in table operation page when partitions are broken
- issue #17386 Fix system memory and system swap values on Windows
- issue #17517 Fix Database Server panel not getting hidden by ShowServerInfo configuration directive
- issue #17271 Fix database names not showing on Processes tab
- issue #17424 Fix export limit size calculation
- issue #17366 Fix refresh rate popup on Monitor page
- issue #17577 Fix monitor charts size on RTL languages
- issue #17121 Fix password_hash function incorrectly adding single quotes to password before hashing
- issue #17586 Fix statistics not showing for empty databases
- issue #17592 Clicking on the New index link on the sidebar does not throw an error anymore
- issue #17584 It's now possible to browse a database that includes two % in its name
- issue        Fix PHP 8.2 deprecated string interpolation syntax
- issue        Some languages are now correctly detected from the HTTP header
- issue #17617 Sorting is correctly remembered when $cfg['RememberSorting'] is true
- issue #17593 Table filtering now works when action buttons are on the right side of the row
- issue #17388 Find and Replace using regex now makes a valid query if no matching result set found
- issue #17551 Enum/Set editor will not fail to open when creating a new column
- issue #17659 Fix error when a database group is named tables, views, functions, procedures or events
- issue #17673 Allow empty values to be inserted into columns
- issue #17620 Fix error handling at phpMyAdmin startup for the JS SQL console
- issue        Fixed debug queries console broken UI for query time and group count
- issue        Fixed escaping of SQL query and errors for the debug console
- issue        Fix console toolbar UI when the bookmark feature is disabled and sql debug is enabled
- issue #17543 Fix JS error on saving a new designer page
- issue #17546 Fix JS error after using save as and open page operation on the designer
- issue        Fix PHP warning on GIS visualization when there is only one GIS column
- issue #17728 Some select HTML tags will now have the correct UI style
- issue #17734 PHP deprecations will only be shown when in a development environment
- issue #17369 Fix server error when blowfish_secret is not exactly 32 bytes long
- issue #17736 Add utf8mb3 as an alias of utf8 on the charset description page
- issue #16418 Fix FAQ 1.44 about manually removing vendor folders
- issue #12359 Setup page now sends the Content-Security-Policy headers
- issue #17747 The Column Visibility Toggle will not be hidden by other elements
- issue #17756 Edit/Copy/Delete row now works when using GROUP BY
- issue #17248 Support the UUID data type for MariaDB >= 10.7
- issue #17656 Fix replace/change/set table prefix is not working
- issue        Fix monitor page filter queries only filtering the first row
- issue        Fix "Link not found!" on foreign columns for tables having no char column to show
- issue #17390 Fix "Create view" modal doesn't show on results and empty results
- issue #17772 Fix wrong styles for add button from central columns
- issue #17389 Fix HTML disappears when exporting settings to browser's storage
- issue #17166 Fix "Warning: #1287 'X' is deprecated [...] Please use ST_X instead." on search page
- issue        Use jquery-migrate.min.js (14KB) instead of jquery-migrate.min.js (31KB)
- issue #17842 Use jquery.validate.min.js (24 KB) instead of jquery.validate.js (50 KB)
- issue #17281 Fix links to databases for information_schema.SCHEMATA
- issue #17553 Fix Metro theme unreadable links above navigation tree
- issue #17553 Metro theme UI fixes and improvements
- issue #17553 Fix Metro theme login form with
- issue #16042 Exported gzip file of database has first ~73 kB uncompressed and rest is gzip compressed in Firefox
- issue #17705 Fix inline SQL query edit FK checkbox preventing submit buttons from working
- issue #17777 Fix Uncaught TypeError: Cannot read properties of null (reading 'inline') on datepickers when re-opened
- issue        Fix Original theme buttons style and login form width
- issue #17892 Fix closing index edit modal and reopening causes it to fire twice
- issue #17606 Fix preview SQL modal not working inside "Add Index" modal
- issue        Fix PHP error on adding new column on create table form
- issue #17482 Default to "Full texts" when running explain statements
- issue        Fixed Chrome scrolling performance issue on a textarea of an "export as text" page
- issue #17703 Fix datepicker appears on all fields, not just date
- issue        Fix space in the tree line when a DB is expanded
- issue #17340 Fix "New Table" page -> "VIRTUAL" attribute is lost when adding a new column
- issue #17446 Fix missing option for STORED virtual column on MySQL and PERSISTENT is not supported on MySQL
- issue #17446 Lower the check for virtual columns to MySQL>=5.7.6 nothing is supported on 5.7.5
- issue        Fix column names option for CSV Export
- issue #17177 Fix preview SQL when reordering columns doesn't work on move columns
- issue #15887 Fixed DROP TABLE errors ignored on multi table select for DROP
- issue #17944 Fix unable to create a view from tree view button
- issue #17927 Fix key navigation between select inputs (drop an old Firefox workaround)
- issue #17967 Fix missing icon for collapse all button
- issue #18006 Fixed UUID columns can't be moved
- issue        Add `spellcheck="false"` to all password fields and some text fields to avoid spell-jacking data leaks
- issue        Remove non working "Analyze Explain at MariaDB.org" button (MariaDB stopped this service)
- issue #17229 Add support for Web Authentication API because Chrome removed support for the U2F API
- issue #18019 Fix "Call to a member function fetchAssoc() on bool" with SQL mode ONLY_FULL_GROUP_BY on monitor search logs
- issue        Add back UUID and UUID_SHORT to functions on MySQL and all MariaDB versions
- issue #17398 Fix clicking on JSON columns triggers update query
- issue        Fix silent JSON parse error on upload progress
- issue #17833 Fix "Add Parameter" button not working for Add Routine Screen
- issue #17365 Fixed "Uncaught Error: regexp too big" on server status variables page
- issue        [security] Fix an XSS attack through the drag-and-drop upload feature (PMASA-2023-01)

5.2.0 (2022-05-10)
- issue #16521 Upgrade Bootstrap to version 5
- issue #16521 Drop support for Internet Explorer and others
- issue        Upgrade to shapefile 3
- issue #16555 Bump minimum PHP version to 7.2
- issue        Remove the phpseclib dependency
- issue        Upgrade Symfony components to version 5.2
- issue        Upgrade to Motranslator 4
- issue #16005 Improve the performance of the Export logic
- issue #16829 Add "NOT LIKE %...%" operator to Table search
- issue #16845 Fixed some links not passing through url.php
- issue #16382 Remove apc upload progress method (all upload progress code was removed from the PHP extension)
- issue #16974 Replace zxcvbn by zxcvbn-ts
- issue #15691 Disable the last column checkbox in the column list dropdown instead of not allowing un-check
- issue #16138 Ignore the length of integer types and show a warning on MySQL >= 8.0.18
- issue        Add support for the Mroonga engine
- issue        Double click column name to directly copy to clipboard
- issue #16425 Add "DELETE FROM" table on table operations page
- issue #16482 Add a select all link for table-specific privileges
- issue #14276 Add support for account locking
- issue #17143 Use composer/ca-bundle to manage the CA cert file
- issue #17143 Require the openssl PHP extension
- issue #17171 Remove the printview.css file from themes
- issue #17203 Redesign the export and the import pages
- issue #16197 Replace the master/slave terminology
- issue #17257 Replace libraries/vendor_config.php constants with an array
- issue        Add the Bootstrap theme
- issue #17499 Remove stickyfilljs JavaScript dependency

         --- Older ChangeLogs can be found on our project website ---
                     https://www.phpmyadmin.net/old-stuff/ChangeLogs/

# vim: et ts=4 sw=4 sts=4
# vim: ft=changelog fenc=utf-8
# vim: fde=getline(v\:lnum-1)=~'^\\s*$'&&getline(v\:lnum)=~'\\S'?'>1'\:1&&v\:lnum>4&&getline(v\:lnum)!~'^#'
# vim: fdn=1 fdm=expr
